Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`client`.`knownhosts`.`_BaseEntry``

class documentation

`class _BaseEntry: (source)`

Known subclasses: `twisted.conch.client.knownhosts.HashedEntry`, `twisted.conch.client.knownhosts.PlainEntry`

Constructor: `_BaseEntry(keyType, publicKey, comment)`

View In Hierarchy

Abstract base of both hashed and non-hashed entry objects, since they represent keys and key types the same way.

Method | `__init__` | Undocumented
Method | `matchesKey` | Check to see if this entry matches a given key object.
Instance Variable | `comment` | Trailing garbage after the key line.
Instance Variable | `keyType` | The type of the key; either ssh-dss or ssh-rsa.
Instance Variable | `publicKey` | The server public key indicated by this line.

def __init__(self, keyType, publicKey, comment): (source)
overridden in `twisted.conch.client.knownhosts.HashedEntry`, `twisted.conch.client.knownhosts.PlainEntry`

Undocumented

def matchesKey(self, keyObject): (source)

Check to see if this entry matches a given key object.

Parameters
keyObject:`Key` | A public key object to check.
Returns
`bool` | `True` if this entry's key matches `keyObject`, `False` otherwise.

comment: `bytes` = (source)

Trailing garbage after the key line.

keyType: `bytes` = (source)

The type of the key; either ssh-dss or ssh-rsa.

publicKey: `twisted.conch.ssh.keys.Key` = (source)

The server public key indicated by this line.